Näytä kirjoitukset

Tässä osiossa voit tarkastella kaikkia tämän jäsenen viestejä. Huomaa, että näet viestit vain niiltä alueilta, joihin sinulla on pääsy.


Viestit - Ubumpi

Sivuja: 1 2 [3] 4 5 ... 15
41
Jossain linkissä (joita on tässä selattu muutama päivä) oli maininta, että joku päivitys rikkoisi flashin ja joutuisi asentamaan vanhan version.

Itselläni on käytössä 64-bittinen 12.04 ja 32-bittinen 10.04.

10.04 näytti kaiken kelvollisesti. Sen Flash on pakettivaraston versio. Joskus Gnash sotki Flashia, kuten foorumeilla väitettiin, joten sen pois ottamisen jälkeen Flash pelitti taas paremmin.

12.04 ei saanut auki linkkaamaasi TV7:n videota.


Tässä muuten oli juttua foorumilla miten 12.04:ssa Flashin linux-versio saa Youtubessa värit sekaisin.
http://forum.ubuntu-fi.org/index.php?topic=38092.0



42
Tämä on turhauttavin asia linuxissa: hyvin toimiva systeemi lakkaa yhtäkkiä toimimasta päivityksen jälkeen. Olen varmaan sössinyt jotain seuratessani teidän hyviä ohjeitanne ja vetänyt flashin solmuun.

Hyvin toimiva systeemi ei yleensä lakkaa toimimasta, että Flashit, Skypet, Silverlightit, ja Javat on sitten erikseen. Kaikki nuo ovat kuitenkin turhan yleisiä ja niiden varassa elellään ja oleillaan. Omien kokemusteni mukaan (vuodesta 2005) suurin osa kuvaamistasi riesoista johtuu noihin liittyvistä muutoksista.

Suosittelen, ettet tee järjestelmäpäivitystä, vaan puhdasasennuksen - ja silloinkin teet täydelliset varmuuskopiot toiselle kiintolevylle.

Syy moiseen mm. tämä:
http://forum.ubuntu-fi.org/index.php?topic=42545.msg327219#msg327219

Eipä tullut apuja, mutta onneksi varmuuskopiot pelastivat tilanteen.




43
Minulla on myös Ubuntu 12.04 ja 64-bittinen kone. Sain javan ja sampopankin toimimaan monen vaiheen jälkeen näillä ohjeilla: http://forums.team-nocturnal.com/showthread.php/772
T: Kubu

Älkää kiltit ihmiset laittako enää mitään tuollaisia ohjeita tai edes linkkejä ohjeisiin, joissa neuvotaan miten pitää asentaa koneelle jokin epämääräinen pakettilähde. Yksikään käyttäjä ei ole siirtynyt Ubuntuun huonontaakseen tietoturvaansa, joten sellaista aikaansaavia ohjeitakaan ei pitäisi antaa.

Jos ei luota tuntemattoman maan tuntemattomaan kansalaiseen, joka mahdollisesti työskentelee jossakin tuntemattomassa organisaatiossa ja käytä tämän tarjoamia palveluita hoitaakseen pankkiasioitansa, ei myöskään pidä asentaa epämääräisistä lähteistä koneelle yhtään mitään.


Itse sain Sampo-pankin toimimaan (10.04:ssa) kun laitoin koneelle Winen ja sen jälkeen Firefoxin Windows-version. Tästä on sen verran aikaa etten muista liittyikö siihen vielä joitakin yksityiskohtia. Saattaa olla, että siinäkin ratkaisussa joutuu käyttämään turvatonta Java-versiota.



44
Päivitys 10.04 -> 12.04 toi tukun virheilmoituksia. Enää hiiren osoitin ei näy ja vaikka nuolinäppäimillä aktivoisi jonkin kuvakkeen, hiirtä ei totella. Komentoriville pääsen.

sudo apt-get -f update

tuottaa virheilmoituksia. Joillekin lähteille ei ole pääsyä.



45
Kyllä noi tuli ruksattua heti ensimmäisenä, mutta ei siltikään näy skypeä saati amsn.

Vaikka ohjelmalähteen lisäisi graafisesti, nuo ohjelmalähteet tulee päivittää ruksailujen jälkeen.
Vasta sen jälkeen Skype näkyy pakettivarastoissa, josta se tietenkin pitää vielä asentaa.

Tämän voi mieltää niin, että olet nyt lisännyt ensin K-kaupan perheesi kyseeseen tulevien ostospaikkojen luetteloon, jonka jälkeen päivität ko. tiedon perheellesi. Silti ette saa kyseisestä kaupasta haluamaanne ennen kuin käytte sen sieltä hakemassa.

Skypen pakettivarastossa on vain yksi ohjelma, joten tämä kaikkinensa voi tuntua hieman jähmeältä menetelmältä. Toisaalta monissa pakettivarastoissa on tuhansia ohjelmia ja voi olla kohtuullisen tyytyväinen etteivät ne kaikki heti asennu automaattisesti.




46
Edit:

Seuraavassa on ohje Skypen asentamiseen. Tarpeettomiksi käyneisiin kohtiin lisätty hakasulkeet.


[[Yritin auttaa Ubuntu 12.04:n käyttäjää asentamaan Skypeä, mutta vielä ei onnistunut.]]



Laitan oheen kirjoittamani ohjeen [[ja toivon jos joku viitsisi katsoa mikähän tässä oli ettei onnistunut.]]


"Tärkeää:

"It is highly recommended to use the package provided in the Canonical partner repository, not the one distributed from the skype website, as the skype website currently points users to the wrong package for 64-bit systems of Ubuntu 11.10 and above. "
https://help.ubuntu.com/community/Skype

Tuolta sivustolta otin seuraavan ohjeen varsinaiset loitsut:



Kopioi seuraava loitsu komentoriville kaikkineen, myös nuo lopussa olevat lainausmerkit:

Koodia: [Valitse]
sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"
Paina enter.


Nyt pakettivarasto on lisätty. Vielä kuitenkaan pakettivarastoja ei ole päivitetty eikä  Skypeä haettu, joten laita vielä tämä toinen komento erikseen:

Koodia: [Valitse]
sudo apt-get update && sudo apt-get install skype
Paina enter.



Tiivistelmä:

Kopioit nuo parit käskyt, liität ne terminaaliin ja enterit perään."


Sain häneltä komentorivitulosteen:


"Luetaan pakettiluetteloita... Valmis

Muodostetaan riippuvuussuhteiden puu

Luetaan tilatiedot... Valmis

E: Pakettia skype ei löydy"



[[Missä vika & miten korjataan?]]

Edit:

Vika oli siinä, että käyttäjä ei ollutkaan lisännyt tarvittavaa asennuslähdettä eli tuota ensimmäistä koodirimpsua.


Kiitos kaikille, jotka säntäsivät avuntarjoamismielessä paikalle. :)

47
Laitealue / Vs: Saunalahden 4G yhteys
« : 27.04.12 - klo:08.44 »
Tosiaankin on parit asiat 'teoriaa' hyvä tietää.

Ubuntun numeroinnissa näkyy julkaisuvuosi ja kuukausi. Tuorein julkaisu 12.04 onkin vuoden 2012 huhtikuulta. Yleensä kannattaa käyttää uusinta LTS-versiota (Long Term Support). Jotakin uudempaa lyhyemmän tuen julkaisun käyttäminen on perusteltua, jos jokin uusi laite ei toimi LTS-versiossa. Kuitenkin on hyvä kokeilla live-cd:ltä laitteiston toimivuus. Muuten voi vaikka käydä niin, että asennat uuden version vanhan päälle, saat siitä jotain riesaa mitä LTS-versiossa ei ole, koska nuo muut versiot ovat kokeellisia eli niihin laitetaan uudempaa tekniikkaa. Uusi tarkoittaa tässä yhteydessä myös vähemmän testattua, siis epävarmempaa. Aikanaan sekin yleensä kypsyy LTS-versioiden tekniikaksi.

Nythän tuli juuri tuo 12.04, joka on siis paitsi uusin, myös LTS. Ehkäpä kokeilet sitä.


Se live-cd on yksinkertaisesti ihan tavallinen asennuslevy, mutta käynnistät sen live-istuntoon. Ehkä olet niin jopa tehnytkin. Jos jokin laite ei toimi sen kanssa samantien, sama on odotettavissa varsinaisenkin asennuksen jälkeen. Sellaisessa tilanteessa on syytä selvittää muulla tavoin millä tavoin muut ovat saaneet laitteen toimimaan.

Asensin Startup managerin

En muista mitä ikäviä kokemuksia itselläni tuohon manageriin liittyi, mutta se sai mennä. Joka tapauksessa, Ubuntun asennus ei itsessään poista Windowsia ellet sitten ole sitä vahingossa erikseen käskenyt. Ubuntun käynnistyslataaja (Grub) näyttää kyllä mitkä käyttöjärjestelmät koneellasi ovat. Se kyllä asentuu samalla kuin Ubuntukin. Jos koneella on toinenkin käyttöjärjestelmä, niin koneen aukaistuasi ne näkyvät valikossa päällekkäin. Muuten Ubuntu käynnistyy suoraan ilman ko. välivaihetta.

Voithan varmuuden vuoksi kokeilla seuraavaa:

Paina ctrl, alt ja t samanaikaisesti tai siis peräperää pohjaan, päästämättä niistä mitään ylös ennen kuin saat ne kaikki alas. Aukeava taikapaneeli on nimeltänsä Pääte. Sen saa kyllä valikoistakin auki.

Kirjoita päätteeseen
Koodia: [Valitse]
sudo update-grub
Käsky tekee juuri sen minkä sanookin eli päivittää Grubin näyttämään kaikki koneella olevat käyttöjärjestelmät.

Windowsin tilanne pitäisi selvitä tuolla.


Kannattaa muistaa, että Windowsin asennus heittää kylmästi muut koneella olevat käyttöjärjestelmät pois. Siksi Windows tulee asentaa ensin, sitten vasta muut.




48
Tällä hetkellä itselläni ei ole Ubuntua käytössä, joten ehkäpä joku toinen rohkea sitten kokeilee seuraavaa:

Firefoxin Windows-versiota pyöritetään Winellä, johon sitten asennetaan ne kilkkeet jotka Katsomo vaatii.



49
Tiedoksi vain tästä oli jo ketju :/

Sori. Enpä huomannut.

Näissä tilanteissa olisi hyvä jos voisi poistaa turhat aloituksensa, mutta poistoyritys tuotti virheen:
"Et voi poistaa omia aiheitasi tällä alueella"

50
"Canonical will no longer provide financial support to the development of Kubuntu after the April release of Kubuntu 12.04."

http://www.omgubuntu.co.uk/2012/02/canonical-withdraw-financial-support-from-kubuntu/


Tiedoksi vain.

51
Niinhän siinä kävi, että lakkasi toimimasta, esitteli Sampo-pankin asiakas 10.04-koneella. Kokeilin sitten omalla koneellani. Näytti toimivan sekä Chromiumilla että Firefoxilla.

Yritän tässä selvittää mikä on se oleellinen ero, jotta voi kertoa sen sitten tähän ketjuun. Apuja tietenkin kaivataan.

Sampo-pankilla toimimattomaan koneeseen verrattuna koneellani on asennettuna ainakin Icedtea-liitännäinen.   Lisäksi koneeni on 64-bittinen kun tuo toimimaton on 32-bittinen.

Jos Icedtea-Java liitännäinen ei ole se ratkaisu, niin koneellani on myös seuraavat paketit, joista jokin lienee avuksi :)

OpenJDK Java 6
OpenJDK Java 6 - Web Start
OpenJDK-6-jre-lib

Huom!

Sampo-pankin Kirjautumissivulla tulee ensin sivun ylälaitaan huomautus siitä miten Icedtea haluaa vahvistuksen. Sen jälkeen tulee ponnahdusikkuna ison varoituksen kera: The application's digital signature cannot be verified. Do you want to run the application?

52
Ubuntu tietokoneissa / Vs: Virtualbox kokoruutuongelma
« : 03.09.11 - klo:15.06 »
Nosto.

53
Asentaminen ja käyttöönotto / Vs: vain 5.10 asentuu
« : 24.08.11 - klo:19.05 »
Levy on testattu toisessa koneessa. Vanha 5.10 asennus onnistuu. Pitäisikö siis asentaa 5.10 ensin ja sitten tehdä useampi päivitys?

Ei sellaista päivitysrumbaa kannata yrittääkään. Jokainen järjestelmäpäivitys kestää paljon kauemmin kuin normiasennus, vanhalla koneella voi mennä tunteja jo yhteen päivityskertaan. Luultavasti päivitysputkea ei myöskään enää tueta vanhojen versioiden osalta, vaikka tämä on arvaus. Jokin virhe voi jumittaa päivityksen. Järjestelmä voi päätyä joiltakin miellyttäviltä osin vähemmän miellyttäväksi jne.

Sait levyn irti, joten onnistut kaiketi uudelleen. Laita se toiseen koneeseen, lataa ja asenna sitä kautta lubuntu ko. levylle ja laita levy takaisin. Lubuntun LXDE-työpöydällä vanha kone toimii selkeästi joutuisammin kuin Gnomella, jota Ubuntu käyttää. Käyttömukavuudesta et käytännöllisesti katsoen joudu tinkimään eli kyllä Lubuntun kanssa ihan mukavasti toimeen tulee.
http://lubuntu.net/

54
Yleistä keskustelua / Vs: Tuxvärkkipäivä
« : 24.08.11 - klo:18.43 »
Ehkei kannata kuitenkaan tehdä siitä päivää vaan pidempi projekti (viikko tai pari)

Niinpä. Otsikoin aiheen markkinointimielessä tarkoituksenani herättää uteliaisuutta. Positiivisen mielikuvan sijaan olisi voinut syntyä lähinnä kummallisia käsityksiä ilman päivä-sanaa, joten sai jäädä.

Ihan hyvä muuten olisi, että muutkin ilmoittautuisivat pienen viestin kera, jotta (joku projektikoordinaattori) sitten voisi lähettää noita hommia vaikkapa yksityisviestinä.


Ehkäpä sellainenkin vielä tähän ketjuun saadaan ilmoittautumaan, vaikkapa jostakin käännösryhmästä. Tietenkin olisi hyvä hahmotella tässä ketjussa myös ihan käytännön toimenpiteitä, riippuen osaltaan halukkaaksi osallistuvien lukumäärästä.

Antaa siis äänestyksen olla avoin jonkin aikaa ja katsotaan sitten miten jatketaan.


55
Yleistä keskustelua / Tuxvärkkipäivä
« : 24.08.11 - klo:00.41 »
Laitettaisiinko pystyyn pieni suomennostempaus? Olkoon se ensimmäinen Tuxvärkin aihe.

Moni on varmasti kaivannut erinäisiä suomennoksia käyttämiinsä sovelluksiin, tai kenties tuumaillutkin muutaman hetken lahjoittaa ajastansa joihinkin projekteihin. Luulisi, että tällä foorumilla voisi talkoohenkeä saada puhallettua sen pari kertaa vuoteen ihan sellaisiinkin, jotka eivät muuten tulisi lähteneeksi noihin projekteihin, vaikka myönteisesti suhtautuvatkin ajatukseen.

Kaikki kynnelle kykenevät mukaan!

Äänestä sen vaihtoehdon puolesta, kuinka monta tuntia olet valmis laittamaan likoon, jotta vielä hakusessa olevat organisointikykyiset projektiorjat voivat arvioida millaisia nakkeja voivat tarjoilla suomentajille.


Tuxvärkin yksityiskohdista myöhemmin enemmän, jos kun on aihetta.


Tiedoksi: Tästä ehdotuksesta saa kertoa eteenpäin.

56
Kyllä minä teen ihan rutiininomaisesti kotikansiooni hakemiston bin.

Ok, ja kiitos vastauksestasi. Täytynee vielä odotella pari päivää ennen [RATKAISTU]-merkintää siltä varalta jos tulee muita vastauksia ja joitakin hyviä näkökantoja tehdä asia toisin / vahvistus ehdottamallesi käytänteelle.


57
Lainaus
Jos kyseessä vain _minun_ käyttämäni ohjelmat niin tuuppaan ne hakemistoon ~/bin/. Mutta jos hiukankaan mietin että joku muukin saattaa tarvita noita, niin silloin /usr/local/bin -hakemistoon.

Tilde... siis kotikansioon pitäisi tehdä bin-kansio, vai että ohjelmat vain puretaan sinne kotikansioon ilman säätämisiä, vai tarkoititko sittenkin juuren alla olevaa bin-kansiota?

Kaiketi, että kotikansioon vain...  :)

58
Vaikka huomioin seuraavan,

"Linuxin hakemistorakenne perustuu FHS-standardiin, joka määrittää joukon hakemistoja ja niiden pääasiallisen käyttötarkoituksen."
"/usr/local/bin ja /usr/local/sbin on tarkoitettu itse tehdyille tai käsin asennetuille ohjelmille ja skripteille."
http://linux.fi/wiki/Hakemistorakenne

joudun kysymään kannattaako tapauksessani tuonne laittaa muutamaa keskenään kommunikoivaa ohjelmaa, vai ihan vain kotikansioon.

Syy:

Pakettivarastossa oleva ohjelma on pahasti vanhentunut. Käyttöliittymä on muuttunut, samoin suuri osa toiminnoista, joten on pakko mennä uuden mukana ja se löytyy muualta. Ohjelmassa on exporttereita eli vientityökaluja toisiin ohjelmiin, joita myös tarvitsen. Sen perusteella on oleellista, että nuo ohjelmat pystyvät kommunikoimaan keskenään. Siten en ole varma toimivatko ohjelmat /usr/local/bin -kansiossa tuolla haluamallani tavalla. Tietenkin olisi tietoturvan kannalta parempi, jos ne voisivat toimia jossakin rajatussa ympäristössä, mutta olisiko silloinkaan oikea paikka /home/henkkoht ? Virtuaalikoneelta en halua ko. ohjelmia käyttää, koska virtuaalikoneiden kanssa on kokemuksieni mukaan oma painimisensa.










 

59
Yleistä keskustelua / Vs: Hakkeri vai Krakkeri
« : 17.08.11 - klo:18.23 »
Lisää ärsyttäviä hoonosoomisuuksia, jotka luovat kummallisia mielikuvia ja väärinkäsityksiä:


- Lentokone tippui.
Vrt. hana tippui.

- Kaksi kertaa enemmän.
100 % lisää, vai 200%?

- Puolet enemmän.
Ei siis sittenkään 50 % enemmän, vaan 100 % enemmän?

- Saastuttaa kolme kertaa vähemmän.
Saatiin tehokkaaksi ilmanpuhdistajaksi?

- Tietokonevirus...
Windows-virus!

60
Vanha uutinen, mutta kysyisin siitä silti.
http://www.tietokone.fi/uutiset/firefox_4_n_tuki_loppui_jo

Foorumillakin suositellussa Ubuntu 10.04:ssa käytössä on Firefoxin versio 3.6 , joten se ei tuon uutisen perusteella kuuluisi edes FF:n tietoturvan piiriin.

Miten siis on tuo tietoturvapuoli Ubuntu 10.04:ssa Firefoxin osalta ratkaistu?


Sivuja: 1 2 [3] 4 5 ... 15